DOC-API-MODEL-schema-1kgdnn5p53#overview
SubscriberData
Contact, locale, and custom attributes used by notification delivery.
Meaning and usage
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#fields
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
| In responses | View fields |
In requests
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#request
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#request-field-firstnamefirstName | string | Optional | Subscriber’s given name. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#request-field-lastnamelastName | string | Optional | Subscriber’s family name. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#request-field-emailemail | string | Optional | Email address used for subscriber contact and delivery. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#request-field-phonephone | string | Optional | Phone number used for subscriber contact and delivery. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#request-field-avatarurlavatarUrl | string | Optional | URL of the subscriber’s avatar image. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#request-field-localelocale | string | Optional | See meaning below. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#request-field-timezonetimezone | string | Optional | See meaning below. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#request-field-customdatacustomData | Map from string to string | Optional | Additional template variables. |
locale
Subscriber locale used when rendering notifications.
e.g., "en-US"
timezone
Subscriber time zone used for notification presentation.
e.g., "America/Los_Angeles"
In responses
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#field-firstnameSection ID: DOC-API-MODEL-schema-1kgdnn5p53#response-field-firstnamefirstName | string | Optional | Subscriber’s given name. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#field-lastnameSection ID: DOC-API-MODEL-schema-1kgdnn5p53#response-field-lastnamelastName | string | Optional | Subscriber’s family name. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#field-emailSection ID: DOC-API-MODEL-schema-1kgdnn5p53#response-field-emailemail | string | Optional | Email address used for subscriber contact and delivery. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#field-phoneSection ID: DOC-API-MODEL-schema-1kgdnn5p53#response-field-phonephone | string | Optional | Phone number used for subscriber contact and delivery. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#field-avatarurlSection ID: DOC-API-MODEL-schema-1kgdnn5p53#response-field-avatarurlavatarUrl | string | Optional | URL of the subscriber’s avatar image. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#field-localeSection ID: DOC-API-MODEL-schema-1kgdnn5p53#response-field-localelocale | string | Optional | See meaning below. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#field-timezoneSection ID: DOC-API-MODEL-schema-1kgdnn5p53#response-field-timezonetimezone | string | Optional | See meaning below. |
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#field-customdataSection ID: DOC-API-MODEL-schema-1kgdnn5p53#response-field-customdatacustomData | Map from string to string | Optional | Additional template variables. |
locale
Subscriber locale used when rendering notifications.
e.g., "en-US"
timezone
Subscriber time zone used for notification presentation.
e.g., "America/Los_Angeles"
Where used
Section ID: DOC-API-MODEL-schema-1kgdnn5p53#where-used
| Reference | Relationship |
|---|---|
| Get the caller's subscriber profile | POST /api/v1/notifications/manage/get-subscriber |
| Update subscriber profile data | POST /api/v1/notifications/manage/update-subscriber-data |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1kgdnn5p53